Value precedence constraints over set variables
Functionality by programming task » Programming models » Using integer set variables and constraints

## Functions

void | Gecode::precede (Home home, const SetVarArgs &x, int s, int t)
| Post propagator that s precedes t in x.
void | Gecode::precede (Home home, const SetVarArgs &x, const IntArgs &c)
| Post propagator that successive values in c precede each other in x.

## Detailed Description

## Function Documentation

## precede() [1/2]

void Gecode::precede | ( | Home | home,
|  | const SetVarArgs & | x,
|  | int | s,
|  | int | t )

Post propagator that s precedes t in x.

This constraint enforces that if there exists such that , then there exists such that .

Definition at line 45 of file precede.cpp.

## precede() [2/2]

void Gecode::precede | ( | Home | home,
|  | const SetVarArgs & | x,
|  | const IntArgs & | c )

Post propagator that successive values in c precede each other in x.

Definition at line 56 of file precede.cpp.